/*------------------------------------------------------------------------------
 *
 * Calculate_Brewster() - Called from Menu_D() -
 *                        1. Calculates Brewster's angle.
 *                        2. When the calculation is complete, the values of
 *                           all variables are diplayed to the screen.  The
 *                           display is stopped from scrolling to allow the
 *                           user to read the results - the return key must be
 *                           pressed to continue.
 *
 *------------------------------------------------------------------------------
 */

#include "opt_cal.h"
Calculate_Brewster(N_incd,N_tran)
double N_incd;                    /* incident material refractive index     */
double N_tran;                    /* transmitting material refractive index */
{
  char x;                         /* dummy scanning variable                */

  double Radian = 57.29577951;    /* conversion from degrees to radians     */
  double Theta_Brewster;          /* Brewster's angle                       */


  Theta_Brewster = Radian * atan(N_tran/N_incd);

  printf("\n\tni = %.4f\n", N_incd);
  printf("\tnt = %.4f\n", N_tran);
  printf("\tBrewster's angle = %.2f\n", Theta_Brewster);

  fflush(stdin);
  printf("\nPress 'Return' to continue\n\n");
  scanf("%c", &x);

}/*END Calculate Brewster*/
/*-----------------------------------------------------------------------------*/

