/*------------------------------------------------------------------------------
 *
 * Calculate_Ref_Liquid() - Called from Menu_J() -
 *                          Calculates the temperature corrected refractive
 *                          index for the liquid and displays the results to the
 *                          screen.  The display is stopped from scrolling
 *                          to allow the user to read the results - the return
 *                          key must be pressed to continue.
 *
 *------------------------------------------------------------------------------
 */

#include "opt_cal.h"
Calculate_Ref_Liquid(N_oil,T_bot,T_room,dndt_bot)
double N_oil;     /* refractive index of liquid at T_bot                   */
double T_bot;     /* temp at which N_oil is reported on bottle of liquid   */
double T_room;    /* room temperature                                      */
double dndt_bot;  /* change in refractive index with temp, given on bottle */
{
  char x;         /* dummy scanning variable                               */
  double N_corr;  /* temperature corrected refractive index for the liquid */

  N_corr = N_oil + (T_bot - T_room) * dndt_bot;
  printf("\n\tUncorrected refractive index:  %.3f (at %.1f)\n",N_oil,T_bot);
  printf("\tRate of change of refractive index with temperature:  %.5f\n",dndt_bot);
  printf("\tRoom temperature:              %.1f\n\n",T_room);
  printf("\tCorrected refractive index:    %.4f\n",N_corr);

  fflush(stdin);
  printf("\nPress 'Return' to continue\n\n");
  scanf("%c", &x);

}/*END Calculate_Ref_Liquid */
/*-----------------------------------------------------------------------------*/
