/*------------------------------------------------------------------------------
 *
 * Calculate_Stereographic() - Called from Menu_I() -
 *                             1. Calls Report_Error() if the input data will
 *                                result in an undefined 'Theta' angle between
 *                                the two unit vectors.
 *                             2. Calculates the angle between the two spherical
 *                                unit vectors and displays the angle to the
 *                                screen. The display is stopped from scrolling
 *                                to allow theuser to read the results - the
 *                                return key must be pressed to continue.
 *
 *------------------------------------------------------------------------------
 */

#include "opt_cal.h"
Calculate_Stereographic(phi1,rho1,phi2,rho2)
double phi1;                   /* spherical coordinates of unit vector 1 */
double rho1;

double phi2;                   /* spherical coordinates of unit vector 2 */
double rho2;
{
  char x;                      /* dummy scanning variable                */
  double Temp1;                /* temporary variable                     */
  double Radian = 57.29577951; /* conversion from degrees to radians     */
  double Theta;                /* angle between the unit vectors         */
  int ErrorFlag = 0;

  extern Report_Error();
  extern double sqr();

  Temp1 = sin(phi1/Radian)*sin(rho1/Radian)*sin(phi2/Radian)*sin(rho2/Radian) +
          cos(phi1/Radian)*sin(rho1/Radian)*cos(phi2/Radian)*sin(rho2/Radian) +
          cos(rho1/Radian)*cos(rho2/Radian);

  if( Temp1 < -1 || Temp1 > 1 )
   {
     Report_Error(31);
     ErrorFlag = 1;
   }

  else Theta = Radian * acos(Temp1);
  if(ErrorFlag == 0)
   {
     printf("\n\tThe angle between vector 1 and 2 is %.1f\n",Theta);

     fflush(stdin);
     printf("\nPress 'Return' to continue\n\n");
     scanf("%c", &x);
   }

}/*END Calculate_Stereographic*/
/*-----------------------------------------------------------------------------*/
