/*------------------------------------------------------------------------------
 *
 * Report_Error() - Called by nearly every routine, Report_Error() prints an
 *                  error message to the screen depending on the error code
 *                  that was passed in. If Error_Code >= 4, the user must press
 *                  the return key to contine - this stops the program from
 *                  scrolling so that the user may read the message.
 *
 *------------------------------------------------------------------------------
 */

#include "opt_cal.h"
Report_Error(Error_Code)
int Error_Code;
{
  char x;              /* dummy scanning variable */

  printf("\nError - ");

  switch(Error_Code)
  {
  case 1 : printf("Invalid Menu Selection.\n\n");
           break;

  case 2 : printf("Bad floating point value.\n\n");
           break;

  case 3 : printf("Floating point underflow or overflow.\n\n");
           break;

  case 4 : printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0   < Alpha, Beta, Gamma < 3.0\n");
           printf("0.0   <       2Vx, 2Vz     < 180.0 degrees.\n");
           printf("Alpha <         Beta       < Gamma. \n");
           break;

  case 5 : printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("0.1 <  Plate Thickness < 5.0 millimeters.\n");
           printf("300 <= Lambda         <= 1200 nanometers.\n");
           printf("0.0 <  Tilt Angle      < 90.0 degrees.\n");
           break;

  case 6 : printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("0.0 < Retardation   <= 2000000 nanometers.\n");
           printf("0.0 < Birefringence <= 2.0 nanometers.\n");
           printf("0.0 < Thickness     <= 1000 microns.\n");
           break;

  case 7 : printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0 < ni, nt < 3.0\n");
           printf("0.0 <= theta i, theta t <= 90.0\n");
           break;

  case 8 : printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0 < ni, nt < 3.0\n");
           printf("ni < nt\n");
           break;

  case 9 : printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0 < ni * nt < 3.0\n");
           printf("0.0 <= theta i, theta t, alpha <= 90.0\n");
           break;

  case 10: printf("When calculating 'ni', theta i cannot be zero.\n");
           break;

  case 11: printf("When calculating 'nt', theta t cannot be zero.\n");
           break;

  case 12: printf("The data entered will result in a 'theta i' > 90 degrees.\n");
           break;
  case 13: printf("The data entered will result in a 'theta t' > 90 degrees.\n");
           break;

  case 14: printf("The data entered will result in an undefined 'rp'.\n");
           break;

  case 15: printf("The data entered will result in an undefined 'rs'.\n");
           break;

  case 16: printf("Lambda value is out of range.\n");
           printf("Rule:\n");
           printf("     300 < lambda < 1050 nm.\n");
           printf(" = 0.300 < lambda < 1.050 microns\n");
           break;

  case 17: printf("Refractive Index out of range:\n");
           printf("Rule:\n");
           printf("1.0000 < n < 3.0000\n");
           break;

  case 18: printf("The entered data will result in an undefined\n");
           printf("refractive index.\n");
           break;

  case 19: printf("The entered data will result in an undefined\n");
           printf("retardation value.\n");
           break;

  case 20: printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0 <  Epsilon, Epsilon Prime, Omega <  3.0\n");
           printf("0.0 <=          Theta                <= 90.0 degrees.\n");
           break;

  case 21: printf("The entered data will result in an undefined\n");
           printf("Epsilon value.\n");
           break;
  case 22: printf("The entered data will result in an undefined\n");
           printf("Omega value.\n");
           break;
  case 23: printf("The entered data will result in an undefined\n");
           printf("Theta value.\n");
           break;

  case 24: printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0   <  Alpha, Beta, Gamma, n     < 3.0\n");
           printf("Alpha <  Beta, n                   < Gamma\n");
           printf("0.0   <= Theta_x, Theta_y, Theta_z <= 90.0 degrees.\n");
           printf("sqr(cos(Theta x) + sqr(cos(Theta y) + sqr(cos(Theta z) = 1\n");
           break;
  case 25: printf("The entered data will result in an undefined\n");
           printf("Alpha value.\n");
           break;

  case 26: printf("The entered data will result in an undefined\n");
           printf("Beta value.\n");
           break;

  case 27: printf("The entered data will result in an undefined\n");
           printf("Gamma value.\n");
           break;

  case 28: printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("0.2 <  NA   <  0.9\n");
           printf("1.2 <  Beta <  3.0\n");
           printf("1.0 <= SR   <= 46.0\n");
           break;

  case 29: printf("The entered data will result in an undefined\n");
           printf("'2V' value.\n");
           break;

  case 30: printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("-360 <= phi1, phi2  <= 360 degrees.\n");
           printf("   0 <= rho1, rho2  <=  90 degrees.\n");
           break;

  case 31: printf("The entered data will result in an undefined\n");
           printf("angle 'Theta' between vectors.\n");
           break;

  case 32: printf("Variable out of range for these calculations.\n");
           printf("Rules:\n");
           printf("1.0     < N_oil          < 3.0\n");
           printf("0.0     < T_bot, T_room  <  300 degrees.\n");
           printf("0.00001 < dndt_bot       < 0.1\n");
           break;

  }/*END SWITCH*/

  if(Error_Code >= 4)
   {
     fflush(stdin);
     printf("\nPress 'Return' to continue\n\n");
     scanf("%c", &x);
   }

}/*END Report_Error*/
/*-----------------------------------------------------------------------------*/
